Print Friendly

# Class Ext.CompositeElementLite

Package: | Ext
Class: | CompositeElementLite
Extends: | CompositeElement
Defined In: | CompositeElement.js

Flyweight composite class. Reuses the same Ext.Element for element operations.
NOTE: Although they are not listed, this class supports all of the set/update methods of Ext.Element. All Ext.Element actions will be performed on all the elements in this collection.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| add(`String/Array els`) : CompositeElement | CompositeElement
Adds elements to this composite.
| each(`Function fn`, [`Object scope`]) : CompositeElement | CompositeElementLite
Calls the passed function passing (el, this, index) for each element in this composite. The element passed is the fly...
| item(`Number index`) : Ext.Element | CompositeElementLite
Returns a flyweight Element of the dom element object at the specified index

## Public Events

This class has no public events.

## Method Details

### add

`public function add(`String/Array els`)`
Adds elements to this composite.
Parameters:

- `els` : String/Array
  A string CSS selector, an array of elements or an element

Returns:

- `CompositeElement`
  this

This method is defined by CompositeElement.

### each

`public function each(`Function fn`, [`Object scope`])`
Calls the passed function passing (el, this, index) for each element in this composite. The element passed is the flyweight (shared) Ext.Element instance, so if you require a a reference to the dom node, use el.dom.
Parameters:

- `fn` : Function
  The function to call
- `scope` : Object
  (optional) The this object (defaults to the element)

Returns:

- `CompositeElement`
  this

This method is defined by CompositeElementLite.

### item

`public function item(`Number index`)`
Returns a flyweight Element of the dom element object at the specified index
Parameters:

- `index` : Number

Returns:

- `Ext.Element`

This method is defined by CompositeElementLite.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.